"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = require("path");
const glob_1 = tslib_1.__importDefault(require("../../helpers/glob"));
const CWD = process.cwd();
const PATTERN = 'pages/**/*.js';
const getPagesPaths = async () => glob_1.default(PATTERN);
const getPagesTemplate = async (paths) => paths
    .map(async (path) => (Object.assign({ name: path.split('/').pop(), path: path.replace('pages', 'dist').replace('.js', '.html') }, await Promise.resolve().then(() => tslib_1.__importStar(require(path_1.normalize(`${CWD}/${path}`)))))));
const getPages = async () => {
    const paths = await getPagesPaths();
    const templates = await getPagesTemplate(paths);
    return Promise.all(templates);
};
exports.default = getPages;
