"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mapHeadTags = ([tag, props, content = null]) => {
    const keys = Object.keys(props).map((key) => `${key}="${props[key]}"`).join(' ');
    if (content) {
        if (content === true) {
            return `<${tag} ${keys}></${tag}>`;
        }
        if (!Object.keys(props).length) {
            return `<${tag}>${content}</${tag}>`;
        }
        return `<${tag} ${keys}>${content}</${tag}>`;
    }
    return `<${tag} ${keys} />`;
};
exports.transformHeadToHTML = async ({ head, data, config, dev }) => {
    const tags = head ? [
        ...config.head ? await config.head({ data, config, dev }) : [],
        ...await head({ data, config, dev }),
    ] : [];
    return tags.map(mapHeadTags).join('\n');
};
